/******************************************************************************
 * Copyright (c) 2011 Oracle
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Konstantin Komissarchik - initial implementation and ongoing maintenance
 ******************************************************************************/

package org.eclipse.sapphire.modeling;

/**
 * @author <a href="mailto:konstantin.komissarchik@oracle.com">Konstantin Komissarchik</a>
 */

public class StatusException extends Exception
{
    private static final long serialVersionUID = 1L;
    
    private final Status status;
    
    public StatusException( final Status status )
    {
        super( status.message() );
        
        this.status = status;
    }
    
    @Override
    public Throwable getCause() 
    {
        return this.status.exception();
    }
    
}
